SDL_GetMasksForPixelFormatEnum(3)

NAME
SDL_GetMasksForPixelFormatEnum - Convert one of the enumerated pixel formats to a bpp value and RGBA masks.

HEADER FILE
Defined in SDL3/SDL_pixels.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_GetMasksForPixelFormatEnum(SDL_PixelFormatEnum format,
                                    int *bpp,
                                    Uint32 * Rmask,
                                    Uint32 * Gmask,
                                    Uint32 * Bmask,
                                    Uint32 * Amask);

FUNCTION PARAMETERS

format
    one of the SDL_PixelFormatEnum
     values

bpp a bits per pixel value; usually 15, 16, or 32

Rmask
    a pointer filled in with the red mask for the format

Gmask
    a pointer filled in with the green mask for the format

Bmask
    a pointer filled in with the blue mask for the format

Amask
    a pointer filled in with the alpha mask for the format

RETURN VALUE
Returns SDL_TRUE
 on success or SDL_FALSE
 if the conversion wasn't possible; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetPixelFormatEnumForMasks(3)